Bug 129389 - named cannot start - config files not in chroot
named cannot start - config files not in chroot
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: bind (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Vas Dias
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-07 11:10 EDT by Rik van Riel
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: bind-chroot-9.2.4rc6-6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-09 15:12:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rik van Riel 2004-08-07 11:10:03 EDT
Description of problem:

By default named now starts inside a chroot (good thing), however its
config files are OUTSIDE of the chroot, so named cannot start.

A simple fix would be to make sure named.conf named.custom and
rndc.key are in /var/named/chroot/etc and have rpm put symlinks in /etc.

Version-Release number of selected component (if applicable):

bind-9.2.4rc6-3
Comment 1 Jason Vas Dias 2004-08-09 15:12:14 EDT
 This is now fixed in bind-chroot-9.2.4rc6-6 .
 On install, bind-chroot will replace these files:
    /etc/{named.conf,named.custom,rndc.key}
    /var/named/*
 with links to corresponding files in /var/named;
 On uninstall, they are replaced back.
Comment 2 John Flanagan 2004-12-21 14:49:59 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-567.html

Note You need to log in before you can comment on or make changes to this bug.